/*
								+---------------------------------+
								|                                 |
								|       ***   Matice   ***        |
								|                                 |
								|    Copyright  L. Polok (Mr.)   |
								|                                 |
								|            matice.h             |
								|                                 |
								+---------------------------------+
*/

// Typedef
typedef float MATRIX[4][4];
// Init
void initmatrix(MATRIX * m);
// Math
void matmult(MATRIX * a, MATRIX * b, MATRIX * r);
void invertmatrix(MATRIX * src, MATRIX * inv);
// Rotation
void rotatematrixx(MATRIX * m, float angle);
void rotatematrixz(MATRIX * m, float angle);
void rotatematrixy(MATRIX * m, float angle);
// Translation
void translatematrix(MATRIX * m, float dx, float dy, float dz);